# Note that this is NOT a relocatable package
%define ver      0.3
%define rel      2
%define prefix   /usr

Summary: A pixmap font rasterizer.
Name: fnlib
Version: %ver
Release: %rel
Copyright: LGPL
Group: X11/Libraries
URL: http://www.rasterman.com/
Source: ftp://www.rasterman.com/pub/enlightenment/libs/fnlib/fnlib_DR-%{ver}.tar.gz
Obsoletes: Fnlib
BuildRoot: /var/tmp/fnlib-root
Requires: imlib
Requires: libpng
Requires: libtiff
Requires: libjpeg
Requires: zlib
Requires: libgr-progs
Requires: libungif
Requires: ImageMagick
Docdir: %{prefix}/doc

%description
Fnlib is a pixmap font rasterizer (i.e., a color font
rendering library) for X11R6.  The fnlib library provides fully scalable
24-bit color font rendering abilities for the X Window System.  The
Enlightenment window manager needs the fnlib library in order to work.

%package devel
Summary: Fnlib headers, static libraries and documentation
Group: X11/Libraries
Requires: fnlib
Obsoletes: Fnlib

%description devel
Headers, static libraries and documentation for Fnlib.

%prep
%setup -q -n fnlib

%build
# Needed for snapshot releases.
# Optimize that damned code all the way
if [ ! -z "echo -n ${RPM_OPT_FLAGS} | grep pentium" ]; then
  if [ ! -z "`which egcs`" ]; then
    CC="egcs"
  else
    if [ ! -z "`which pgcc`" ]; then
      CC="pgcc"
    fi
  fi
  CFLAGS="${RPM_OPT_FLAGS}"
else
  CFLAGS="${RPM_OPT_FLAGS}"
fi
CC="$CC" CFLAGS="$CFLAGS" ./configure --prefix=%prefix
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc README COPYING

%{prefix}/lib/lib*.so.*
%{prefix}/etc/*
%{prefix}/fnlib_fonts

%files devel
%defattr(-, root, root)

%doc HACKING
#%doc doc/index.html
%doc doc/fontinfo.README

%{prefix}/lib/lib*.so
%{prefix}/lib/*a
%{prefix}/include/*
%{prefix}/fnlib_fonts/shinymetal/*
%{prefix}/fnlib_fonts/rock/*
%{prefix}/fnlib_fonts/e/*

%changelog
* Sat Oct 24 1998 Jeff Johnson <jbj@redhat.com>
- new description/summary text.
- include COPYING but not 0 length index.html

* Fri Jul 24 1998 Michael Maher <mike@redhat.com>
- built pacakge for powertools from raster's spec file.
